package com.lynarstudios.ls.std.time.systemtime;

import java.time.LocalDateTime;
import java.time.ZoneId;

public class LocalDateTimeConverter
{
  public LocalDateTimeConverter()
  {
    this.zoneId = ZoneId.systemDefault();
  }

  public LocalDateTimeConverter(ZoneId zoneId)
  {
    this.zoneId = zoneId;
  }

  public long toUnixTimeStamp(LocalDateTime localDateTime)
  {
    return localDateTime.atZone(this.zoneId).toEpochSecond();
  }

  private final ZoneId zoneId;
}
